export declare type TermUpdate = Blit;
export declare type Tint = null | 'r' | 'g' | 'b' | 'c' | 'm' | 'y' | 'k' | 'w' | {
    r: number;
    g: number;
    b: number;
};
export declare type Deco = null | 'br' | 'un' | 'bl';
export declare type Stye = {
    deco: Deco[];
    back: Tint;
    fore: Tint;
};
export declare type Stub = {
    stye: Stye;
    text: string[];
};
export declare type Blit = {
    bel: null;
} | {
    clr: null;
} | {
    hop: number | {
        x: number;
        y: number;
    };
} | {
    klr: Stub[];
} | {
    mor: Blit[];
} | {
    nel: null;
} | {
    put: string[];
} | {
    sag: {
        path: string;
        file: string;
    };
} | {
    sav: {
        path: string;
        file: string;
    };
} | {
    url: string;
} | {
    wyp: null;
};
export declare type Bolt = string | {
    aro: 'd' | 'l' | 'r' | 'u';
} | {
    bac: null;
} | {
    del: null;
} | {
    hit: {
        x: number;
        y: number;
    };
} | {
    ret: null;
};
export declare type Belt = Bolt | {
    mod: {
        mod: 'ctl' | 'met' | 'hyp';
        key: Bolt;
    };
} | {
    txt: Array<string>;
};
export declare type Task = {
    belt: Belt;
} | {
    blew: {
        w: number;
        h: number;
    };
} | {
    hail: null;
} | {
    open: {
        term: string;
        apps: Array<{
            who: string;
            app: string;
        }>;
    };
} | {
    shut: null;
};
export declare type SessionTask = {
    session: string;
} & Task;
